Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class WindowEvent

    java.lang.Object
      com.sun.javafx.newt.Event
          com.sun.javafx.newt.WindowEvent

    public class WindowEvent

extends Event

Field Summary
`static int` | `EVENT_WINDOW_DESTROY_NOTIFY`
`static int` | `EVENT_WINDOW_GAINED_FOCUS`
`static int` | `EVENT_WINDOW_LOST_FOCUS`
`static int` | `EVENT_WINDOW_MOVED`
`static int` | `EVENT_WINDOW_RESIZED`

Constructor Summary
`WindowEvent(int eventType, Window source, long when)`

Method Summary
`static String` | `getEventTypeString(int type)`
`String` | `toString()`

Methods inherited from class com.sun.javafx.newt.Event
`getEventType, getSource, getWhen, isSystemEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENT_WINDOW_RESIZED

    public static final int EVENT_WINDOW_RESIZED

See Also:
  Constant Field Values

### EVENT_WINDOW_MOVED

    public static final int EVENT_WINDOW_MOVED

See Also:
  Constant Field Values

### EVENT_WINDOW_DESTROY_NOTIFY

    public static final int EVENT_WINDOW_DESTROY_NOTIFY

See Also:
  Constant Field Values

### EVENT_WINDOW_GAINED_FOCUS

    public static final int EVENT_WINDOW_GAINED_FOCUS

See Also:
  Constant Field Values

### EVENT_WINDOW_LOST_FOCUS

    public static final int EVENT_WINDOW_LOST_FOCUS

See Also:
  Constant Field Values

Constructor Detail

### WindowEvent

    public WindowEvent(int eventType,
                       Window source,
                       long when)

Method Detail

### getEventTypeString

    public static String getEventTypeString(int type)

### toString

    public String toString()

  Overrides:
    `toString` in class `Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.